commit:     a26201683b6dbe273756fe69ebc01238b62080e1
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 22 22:44:54 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Jun 22 22:45:08 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2620168

app-admin/abrt: Version bump, fix python deps

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-admin/abrt/Manifest            |   1 +
 app-admin/abrt/abrt-2.10.10.ebuild | 115 +++++++++++++++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/app-admin/abrt/Manifest b/app-admin/abrt/Manifest
index f6dc6cffde5..61a9d64165b 100644
--- a/app-admin/abrt/Manifest
+++ b/app-admin/abrt/Manifest
@@ -1,2 +1,3 @@
 DIST abrt-2.0.12.tar.gz 1090121 BLAKE2B 
272f486bd166a33fea3e340763b3443b5643a650fe16ad326e249309c355f214c67937456dd2d8f3e7cdac65cb85bd8030e6b89671f427085a05dca64b8f874d
 SHA512 
5432205edb4483fb1883b9bcebab48784b16dd9e72c3a929ea0d50c48dab638d80f136b6b0d7648d8ec9fcb79d5ce8c1be37d36301d3b2b151868901be82a63a
+DIST abrt-2.10.10.tar.gz 6830586 BLAKE2B 
5cd45144678e6355cb1362c3ebe5531104bb150ff95c42d10e3056f7619cdc7dc3da57e4025cab05234866a4634f29bc07fd78f574800d6b303385c6befa25bd
 SHA512 
6daeea898c9328d31b952ef12202162e002f91b4115301e5d66a0e6991251f9a8322b87201128f7efd54b42b76cb94abc4cf01e5d5b563f254f6757ec7e2127d
 DIST abrt-2.10.9.tar.gz 6830234 BLAKE2B 
ec96b915103c8b8157eb64c98791d283225091d0f2aa7b78520bfae1bee22f43703715fabc43828c750aa7e84eea4a886878d411670b7b4ad31ca49b96d387f3
 SHA512 
1ff7e2edf29085fb03c569b67e8bf2bc83aaf4dd77730e5fc96184453224f83dd0632eaf85a7ad03351fdfaea3d4ed50e8a89eb28d82151f95bd34eb1850f93c

diff --git a/app-admin/abrt/abrt-2.10.10.ebuild 
b/app-admin/abrt/abrt-2.10.10.ebuild
new file mode 100644
index 00000000000..92a41f5008a
--- /dev/null
+++ b/app-admin/abrt/abrt-2.10.10.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit autotools gnome2-utils python-single-r1 systemd user
+
+DESCRIPTION="Automatic bug detection and reporting tool"
+HOMEPAGE="https://github.com/abrt/abrt/wiki/ABRT-Project";
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="debug selinux"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+       >=dev-libs/glib-2.43:2
+       >=dev-libs/libreport-2.9.5[python]
+       dev-libs/libxml2
+       dev-libs/nss
+       >=gnome-base/gsettings-desktop-schemas-3.15.1
+       sys-apps/dbus
+       sys-apps/systemd
+       sys-auth/polkit
+       sys-fs/inotify-tools
+       x11-libs/gtk+:3
+       >=x11-libs/libnotify-0.7
+"
+RDEPEND="${COMMON_DEPEND}
+       app-arch/cpio
+       dev-libs/elfutils
+       dev-python/argcomplete[${PYTHON_USEDEP}]
+       dev-python/argh[${PYTHON_USEDEP}]
+       dev-python/humanize[${PYTHON_USEDEP}]
+       sys-apps/util-linux
+       >=sys-devel/gdb-7
+"
+DEPEND="${COMMON_DEPEND}
+       app-text/asciidoc
+       app-text/xmlto
+       dev-libs/satyr[${PYTHON_USEDEP}]
+       >=dev-util/intltool-0.35.0
+       virtual/pkgconfig
+       >=sys-devel/gettext-0.17
+"
+
+RESTRICT="test" # tests *may* be broken due to all the RHEL crap.  explore 
later.
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+
+       enewgroup abrt
+       enewuser abrt -1 -1 -1 abrt
+}
+
+src_prepare() {
+       default
+
+       # pyhook test is sensitive to the format of python's error messages, and
+       # fails with certain python versions
+       sed -e '/pyhook.at/ d' \
+               -i tests/Makefile.* tests/testsuite.at || die "sed remove 
pyhook tests failed"
+       ./gen-version || die # Needed to be run before autoreconf
+       eautoreconf
+}
+
+src_configure() {
+       myeconfargs=(
+               --libdir="${EPREFIX}/$(get_libdir)"
+               --localstatedir="${EPREFIX}/var"
+               --without-bodhi
+               # package breaks due to not finding libreport-web with bodhi 
plugin enabled
+               --without-rpm
+               $(usex selinux "" "--without-selinux")
+               --without-python2
+               # Fixes "syntax error in VERSION script" and we aren't 
supporting Python2 anyway
+               --with-python3
+               --without-pythondoc
+               # package breaks due to no sphinx-build-3
+               --without-pythontests
+               # kill tests for now until they can be explored.
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       keepdir /var/run/abrt
+       # /var/spool/abrt is created by dev-libs/libreport
+
+       diropts -m 700 -o abrt -g abrt
+       keepdir /var/spool/abrt-upload
+
+       diropts -m 775 -o abrt -g abrt
+       keepdir /var/cache/abrt-di
+
+       find "${D}" -name '*.la' -delete || die
+
+       newinitd "${FILESDIR}/${PN}-2.0.12-r1-init" abrt
+       newconfd "${FILESDIR}/${PN}-2.0.12-r1-conf" abrt
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to